<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateCoreConfigsTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('core_configs', function (Blueprint $table) {
            $table->bigIncrements('id');
            $table->unsignedBigInteger('container_id');
            $table->string('config_key')->unique();
            $table->longText('config_value');
            $table->boolean('is_encrypted')->default(false);
            $table->timestamps();
        });
        Schema::table('core_configs', function (Blueprint $table) {

            $table->foreign('container_id')->on('containers')->references('id');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('core_configs');
    }
}
