<?php

namespace TDevAgency\Erp\Middleware;

use Closure;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\App;
use Illuminate\Support\Facades\Auth;
use Symfony\Component\HttpFoundation\Response;
use TDevAgency\Erp\Models\Container;

class ContainerMiddleware
{
    /**
     * Handle an incoming request.
     *
     * @param Request $request
     * @param Closure $next
     * @return mixed
     */
    public function handle($request, Closure $next)
    {

        $container = Container::where('admin_user_id', Auth::guard('admin_user')->id())->first();

        if ($container !== null) {
            Auth::guard('admin_user')->user()->setRelation('container', $container);
            return $next($request);
        }

        return App::abort(Response::HTTP_FORBIDDEN);
    }
}
